lv.lumii.layoutengine

## Enum ArrangeData.FlowData.Direction

- java.lang.Object
- - java.lang.Enum<ArrangeData.FlowData.Direction>
  - - lv.lumii.layoutengine.ArrangeData.FlowData.Direction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ArrangeData.FlowData.Direction>
  Enclosing class:
    ArrangeData.FlowData

      public static enum ArrangeData.FlowData.Direction
      extends java.lang.Enum<ArrangeData.FlowData.Direction>

  The direction of the flow.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOWN` Direction downwards.
    `LEFT` Direction leftwards.
    `RIGHT` Direction rightwards.
    `UP` Direction upwards.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ArrangeData.FlowData.Direction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ArrangeData.FlowData.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UP

          public static final ArrangeData.FlowData.Direction UP

      Direction upwards.

    - #### RIGHT

          public static final ArrangeData.FlowData.Direction RIGHT

      Direction rightwards.

    - #### DOWN

          public static final ArrangeData.FlowData.Direction DOWN

      Direction downwards.

    - #### LEFT

          public static final ArrangeData.FlowData.Direction LEFT

      Direction leftwards.

  - ### Method Detail

    - #### values

          public static ArrangeData.FlowData.Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ArrangeData.FlowData.Direction c : ArrangeData.FlowData.Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ArrangeData.FlowData.Direction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null